=== modified file 'bzrlib/tests/test_source.py'
--- bzrlib/tests/test_source.py	2006-10-16 02:29:21 +0000
+++ bzrlib/tests/test_source.py	2006-10-18 04:45:50 +0000
@@ -130,8 +130,9 @@
 
     def is_copyright_exception(self, fname):
         """Certain files are allowed to be different"""
-        if '/util/' in fname:
-            # We don't require external utilities to be (C) Canonical Ltd
+        if '/util/' in fname or '/plugins/' in fname:
+            # We don't ask that external utilities or plugins be
+            # (C) Canonical Ltd
             return True
 
         for exc in COPYRIGHT_EXCEPTIONS:
@@ -142,8 +143,9 @@
 
     def is_license_exception(self, fname):
         """Certain files are allowed to be different"""
-        if '/util/' in fname:
-            # We don't require external utilities to be (C) Canonical Ltd
+        if '/util/' in fname or '/plugins/' in fname:
+            # We don't ask that external utilities or plugins be
+            # (C) Canonical Ltd
             return True
 
         for exc in LICENSE_EXCEPTIONS:

